> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get indexed properties

> For a given portal and document ID (page ID, blog post ID, HubDB row ID, etc.), return all indexed data for the document. This is useful when debugging why a particular document is not returned from a custom search.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/site-search-v2.json GET /contentsearch/v2/search/{documentId}
openapi: 3.0.1
info:
  title: Site Search API
  description: >-
    Use the site search API to return HubSpot-hosted content based on search
    terms. Content can be searched across multiple domains. You can also
    retrieve all indexed data for a specific website page, blog post, or
    knowledge base article using its ID.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Site Search
paths:
  /contentsearch/v2/search/{documentId}:
    get:
      tags:
        - Site Search
      summary: Get indexed properties
      description: >-
        For a given portal and document ID (page ID, blog post ID, HubDB row ID,
        etc.), return all indexed data for the document. This is useful when
        debugging why a particular document is not returned from a custom
        search.
      operationId: getIndexedProperties
      parameters:
        - name: documentId
          in: path
          required: true
          description: The ID of the document to retrieve indexed properties for.
          schema:
            type: string
        - name: portalId
          in: query
          required: true
          description: The ID of the portal the contact search should be performed against.
          schema:
            type: string
        - name: type
          in: query
          required: true
          description: >-
            The type of document. Can be one of SITE_PAGE, BLOG_POST, or
            KNOWLEDGE_ARTICLE.
          schema:
            type: string
            enum:
              - SITE_PAGE
              - BLOG_POST
              - KNOWLEDGE_ARTICLE
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    score:
                      type: number
                      description: Search score
                    id:
                      type: string
                      description: Document ID
                    type:
                      type: string
                      description: Document type
                    nestedIdentity:
                      type: string
                      nullable: true
                      description: Nested identity
                    version:
                      type: integer
                      description: Document version
                    source:
                      type: string
                      nullable: true
                      description: Document source
                    fields:
                      type: object
                      description: All indexed fields for the document
                      additionalProperties:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Field name
                          values:
                            type: array
                            items:
                              oneOf:
                                - type: string
                                - type: number
                                - type: boolean
                            description: Field values
                          metadataField:
                            type: boolean
                            description: Whether this is a metadata field
                          value:
                            oneOf:
                              - type: string
                              - type: number
                              - type: boolean
                            description: Primary field value
                    highlightFields:
                      type: object
                      description: Highlighted fields
                    sortValues:
                      type: array
                      items: {}
                      description: Sort values
                    matchedQueries:
                      type: array
                      items: {}
                      description: Matched queries
                    explanation:
                      type: string
                      nullable: true
                      description: Query explanation
                    shard:
                      type: object
                      properties:
                        nodeId:
                          type: string
                          description: Elasticsearch node ID
                        index:
                          type: string
                          description: Elasticsearch index
                        shardId:
                          type: integer
                          description: Elasticsearch shard ID
                    innerHits:
                      type: string
                      nullable: true
                      description: Inner hits
                    sourceRef:
                      type: string
                      nullable: true
                      description: Source reference
                    index:
                      type: string
                      description: Index name
                    sourceEmpty:
                      type: boolean
                      description: Whether source is empty
                    sourceAsString:
                      type: string
                      nullable: true
                      description: Source as string
              examples:
                blog_post_indexed_data:
                  summary: Indexed properties for a blog post
                  value:
                    - score: 1
                      id: '3761238962'
                      type: blogpost
                      nestedIdentity: null
                      version: -1
                      source: null
                      fields:
                        _routing:
                          name: _routing
                          values:
                            - '62515'
                          metadataField: true
                          value: '62515'
                        description:
                          name: description
                          values:
                            - ' '
                          metadataField: false
                          value: ' '
                        author_full_name:
                          name: author_full_name
                          values:
                            - test qa
                          metadataField: false
                          value: test qa
                        language:
                          name: language
                          values:
                            - id
                          metadataField: false
                          value: id
                        title:
                          name: title
                          values:
                            - '{hubspot topic rule} アイカツ!'
                          metadataField: false
                          value: '{hubspot topic rule} アイカツ!'
                        url:
                          name: url
                          values:
                            - >-
                              http://demo-hubapi.hs-sites.com/blog/hubspot-topic-rule-aikatsu-125201
                          metadataField: false
                          value: >-
                            http://demo-hubapi.hs-sites.com/blog/hubspot-topic-rule-aikatsu-125201
                        portalId:
                          name: portalId
                          values:
                            - 62515
                          metadataField: false
                          value: 62515
                        id:
                          name: id
                          values:
                            - 3761238962
                          metadataField: false
                          value: 3761238962
                      highlightFields: {}
                      sortValues: []
                      matchedQueries: []
                      explanation: null
                      shard:
                        nodeId: jmP04PTuRKmwkNk_JuYDrw
                        index: content-blogposts-3
                        shardId: 15
                      innerHits: null
                      sourceRef: null
                      index: content-blogposts-3
                      sourceEmpty: true
                      sourceAsString: null

````